## debian-handbook 6.0+20120509~nd+1

=== debian/changelog ===
debian-handbook (6.0+20120509~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 10 May 2012 21:47:18 -0400

debian-handbook (6.0+20120509) unstable; urgency=low

  * Initial Release.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 May 2012 20:50:04 +0200

## debian-handbook 8.20151209

=== fr-FR/images/Makefile ===

dia = $(wildcard *.dia)

all: png
eps: $(patsubst %.jpg,%.eps,$(wildcard *.jpg)) $(patsubst %.png,%.eps,$(wildcard *.png)) $(patsubst %.dia,%.eps,$(dia))
png: $(patsubst %.dia,%.png,$(dia))

clean::
	rm -f $(wildcard *.eps)

define DIA_template
$(1).eps: $(1).dia
	dia -t eps $$<

$(1).png: $(1).dia
	dia -t png -s 1024 $$<
endef

$(foreach d,$(patsubst %.dia,%,$(dia)),$(eval $(call DIA_template,$(d))))

%.eps: %.png
	convert $< $@

%.eps: %.jpg
	convert $< $@

.PHONY: eps png clean all

## debian-handbook 6.0+20120509~nd+1+nd90+1

=== debian/changelog ===
debian-handbook (6.0+20120509~nd+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 24 Jun 2015 16:59:41 -0400

=== debian/control ===
Source: debian-handbook
Section: doc
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9), publican, publican-debian, dbtoepub, dblatex
Standards-Version: 3.9.3
Homepage: http://debian-handbook.info
Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-handbook/debian-handbook.git;a=summary

Package: debian-handbook
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: reference book for Debian users and system administrators
 Accessible to all, the Debian Administrator's Handbook teaches the essentials
 to anyone who wants to become an effective and independent Debian GNU/Linux
 administrator.
 .
 It covers all the topics that a competent Linux administrator should master,
 from the installation and the update of the system, up to the creation of
 packages and the compilation of the kernel, but also monitoring, backup and
 migration, without forgetting advanced topics like SELinux setup to secure
 services, automated installations, or virtualization with Xen, KVM or LXC.
 .
 The Debian Administrator's Handbook has been written by two Debian
 developers — Raphaël Hertzog and Roland Mas.
 .
 This package contains the English book covering Debian 6.0 “Squeeze”.

## debian-handbook 6.0+20120509~nd+1+nd90+1+nd16.10+1

=== debian/changelog ===
debian-handbook (6.0+20120509~nd+1+nd90+1+nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.

 -- unamed <unknown>  Tue, 01 Nov 2016 20:45:18 -0400

## debian-handbook 6.0+20120509~nd+1+nd90+1+nd17.04+1

=== debian/changelog ===
debian-handbook (6.0+20120509~nd+1+nd90+1+nd17.04+1) zesty; urgency=medium

  * Backported for zesty.

 -- unamed <unknown>  Mon, 08 May 2017 03:07:58 -0400

## debian-handbook 6.0+20120509

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debian-handbook
 Section: doc
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Raphaël Hertzog <hertzog@debian.org>
+Maintainer: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 9), publican, publican-debian, dbtoepub, dblatex
 Standards-Version: 3.9.3
 Homepage: http://debian-handbook.info
@@ -11,7 +10,7 @@
 
 Package: debian-handbook
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: reference book for Debian users and system administrators
  Accessible to all, the Debian Administrator's Handbook teaches the essentials
  to anyone who wants to become an effective and independent Debian GNU/Linux

=== debian/rules ===
#!/usr/bin/make -f

DOCDIR=debian/debian-handbook/usr/share/doc/debian-handbook

%:
	dh $@ 

override_dh_auto_build:
	publican build --publish --formats=html --langs=en-US

override_dh_auto_install:
	mkdir -p $(DOCDIR)
	mv publish/en-US/Debian/6.0/html/debian-handbook $(DOCDIR)/html

override_dh_auto_clean:
	publican clean

## debian-handbook 6.0+20121031

=== debian/changelog ===
debian-handbook (6.0+20121031) unstable; urgency=low

  * Minor corrections:
    - missing spaces in chapter 5. Closes: #672931, #672930
    - duplicate words in chapter 4. Closes: #672925
    - "a" instead of "an" in chapter 8. Closes: #673037
    - misplaced word in a sentence in chapter 8. Closes: #673039
    - SSH is Secure Shell, not Secured Shell. Closes: #673078
    - miscellaneous typos. Closes: #673092, #673553
    Thank you to Steve Gauthier for spotting these mistakes.
    - more typo fixes by Christopher Wellons. Closes: #673604, #673728
    - harmonize to american spelling. Closes: #673729
    - replace GAIM by AIM. Closes: #673731
    - kwm is now kwin. Closes: #673733
    Thank you to Christopher Wellons for all this.
    - typos spotted by Raúl Benencia. Closes: #675508
  * Replace "lead" by "led" where appropriate. Closes: #672976
    Thanks to Jim Hill <gjthill@gmail.com> for the patch.
  * Misc improvements suggested by "Francesco Poli (wintermute)"
    <invernomuto@paranoici.org>. Closes: #673463, #673650, #674607
    Closes: #675523, #676693, #676913, #678582, #679768, #680651
    Closes: #682786, #683156, #684562, #684983, #685285
    - /etc/debian_version no longer says "testing/unstable"
      but "<codename>/sid" during development
    - use correct URL for LARTC HOWTO
    - use "new member process" instead of "new maintainer process"
  * Fix name of package providing Kopete. Closes: #672462
    Thank you to Tim Edwards for spotting this mistake.
  * Some consistency fixes by Daniele Forsi <dforsi@gmail.com>.
    Closes: #674757, #675166
  * List amd64 as possible architecture for computers running
    MacOS. Thanks to Shawn Landden <shawnlandden@gmail.com>
    for the patch. Closes: #676821
  * Improve description to mention that the book is stored
    in /usr/share/doc/debian-handbook/. Closes: #683507

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 31 Oct 2012 15:32:34 +0100

=== debian/control ===
--- 
+++ 
@@ -25,4 +25,5 @@
  The Debian Administrator's Handbook has been written by two Debian
  developers — Raphaël Hertzog and Roland Mas.
  .
- This package contains the English book covering Debian 6.0 “Squeeze”.
+ This package contains the English book covering Debian 6.0 “Squeeze”. All
+ the files are available in /usr/share/doc/debian-handbook/.

## debian-handbook 7.20140126~deb7u1

=== debian/changelog ===
debian-handbook (7.20140126~deb7u1) stable; urgency=medium

  * Upload to stable so that the version in wheezy actually documents Wheezy.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 26 Jan 2014 21:39:08 +0100

debian-handbook (7.20140126) unstable; urgency=medium

  * Fix typo publicicy -> publicity. Closes: #734883
  * Other misc typo and markup fixes.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 26 Jan 2014 21:29:20 +0100

debian-handbook (7.20131230) unstable; urgency=low

  [ Philipp Kern ]
  * Restructure the section about IPv6 and document IPv6 privacy extensions.
  * Update OS -> Debian architectures mapping in chapter 3.

  [ Raphaël Hertzog ]
  * In chapter 15, replace reference to APT chapter with an xref.
    Closes: #681720 Thanks to Daniele Forsi for the patch.
  * Document multi-arch support. Closes: #675458
  * Chapter 6 (APT):
    - use codenames instead of suites and explain why we made that choice.
      Closes: #672488
    - document sources.list for users of testing/unstable. Closes: #675521
    - document approx/apt-cacher as proxy cache for APT repositories
    - document unattended-upgrades as a way to auto-install some updates
  * Chapter 8 (basic configuration):
    - update information about locate/updatedb. Closes: #675943
    - document the Windows registry key to get it to consider the
      clock as UTC. Closes: #686634
    - update section about custom kernel to no longer mention
      kernel-package but “make deb-pkg”
    - indicate how to create “System connections” with Network Manager
  * Chapter 9 (Unix services):
    - de-emphasize telnet, rsh and other obsolete protocols. Closes: #681412
    - drop section about APM
    - drop section about PCMCIA
  * Chapter 11 (Network services):
    - update LDAP configuration method to rely on cn=config integrated
      configuration method. Closes: #672511
    - smbmount is replaced by mount -t cifs. Closes: #696893
    - CIFS is not the successor of SMB but rather a synonym.
      Closes: #700168 Thanks to Reinier Olislagers for the patch.

  [ Roland Mas ]
  * Chapter 3: rephrase paragraph about AppleTalk and Netatalk (closes:
    #681399).
  * Chapter 4: update location of Synaptic in Gnome menus (closes:
    #718470).
  * Chapter 13: mention LXDE in the "XFCE and others" section (closes:
    #696892).
  * Chapter 13: KOffice is now Calligra Suite (closes: #696894).
  * Chapter 13: Document current workings of the gdm3 configuration
    (closes: #699926).
  * Chapter 13: Document proper way of running Wine (closes: #674980).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 30 Dec 2013 10:36:25 +0100

## debian-handbook 7.20140126

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), publican, publican-debian, dbtoepub, dblatex
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), publican, publican-debian, dbtoepub,
+ dblatex, texlive-xetex, fonts-linuxlibertine, texlive-pstricks,
+ fonts-sil-gentium-basic
+Standards-Version: 3.9.5
 Homepage: http://debian-handbook.info
 Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-handbook/debian-handbook.git;a=summary
@@ -25,5 +27,5 @@
  The Debian Administrator's Handbook has been written by two Debian
  developers — Raphaël Hertzog and Roland Mas.
  .
- This package contains the English book covering Debian 6.0 “Squeeze”. All
+ This package contains the English book covering Debian 7 “Wheezy”. All
  the files are available in /usr/share/doc/debian-handbook/.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 override_dh_auto_install:
 	mkdir -p $(DOCDIR)
-	mv publish/en-US/Debian/6.0/html/debian-handbook $(DOCDIR)/html
+	mv publish/en-US/Debian/7/html/debian-handbook $(DOCDIR)/html
 
 override_dh_auto_clean:
 	publican clean
+
+.PHONY: build

## debian-handbook 7.20150616

=== debian/changelog ===
debian-handbook (7.20150616) unstable; urgency=medium

  * Fix typo OPSF -> OSPF and Traditionnally -> Traditionally.
    Closes: #737255, #737884 Thanks to Anders Jonsson for the patches.
  * Fix typo possibbility -> possibility. Closes: #754481
    Thanks to Julian Weber for the patch.
  * Use same build script as for debian-handbook.info.
  * Include all translations in the package.
  * Update Standards-Version to 3.9.6
  * Save space by dropping useless files. Closes: #672459

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 16 Jun 2015 18:13:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 9), publican, publican-debian, dbtoepub,
  dblatex, texlive-xetex, fonts-linuxlibertine, texlive-pstricks,
- fonts-sil-gentium-basic
-Standards-Version: 3.9.5
+ fonts-sil-gentium-basic, rdfind
+Standards-Version: 3.9.6
 Homepage: http://debian-handbook.info
 Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-handbook/debian-handbook.git;a=summary

## debian-handbook 8.20151209~deb8u1

=== debian/changelog ===
debian-handbook (8.20151209~deb8u1) jessie; urgency=medium

  * Upload jessie version of the book to jessie.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Jan 2016 09:39:38 +0100

debian-handbook (8.20151209) unstable; urgency=medium

  * Fix the description to mention Debian 8 Jessie.
  * Update copyright file.
  * Update translations from Weblate.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 03 Nov 2015 09:20:08 +0100

debian-handbook (8.20151102) unstable; urgency=medium

  [ Roland Mas ]
  * Update chapters 5, 6, 8, 9, 10, 11 for Debian 8 Jessie.
  * Update appendix A for Debian 8 Jessie.
  * easy-rsa is now in its own package (closes: #691983).
  * Remove historical information about IDE drives.

  [ Raphaël Hertzog ]
  * Update the foreword for Debian 8 Jessie.
  * Update chapters 1, 2, 3, 4, 7, 12, 13, 14, 15 for Debian 8 Jessie.
  * Update appendix B for Debian 8 Jessie.
  * Fix typo OPSF -> OSPF and Traditionnally -> Traditionally.
    Closes: #737255, #737884 Thanks to Anders Jonsson for the patches.
  * Fix typo possibbility -> possibility. Closes: #754481
    Thanks to Julian Weber for the patch.
  * Be more gender neutral. Closes: #736588
    Thanks to Johannes Schauer for the patch.
  * Multiples updates requested by Cyril Brulebois:
    - drop Joey from d-i coordinators
    - drop Cyril from XSF coordinators
    - mention Steve McIntyre for debian-cd
    - virtualbox-ose-guest-dkms -> virtualbox-guest-dkms
    - virtualbox is now in contrib
    - chromium is well established by now
    Closes: #757388
  * Replace some textual references by true <xref>. Closes: #788940
  * Replace incorrect option --log-priority with --log-level for LOG target of
    iptables. Closes: #789285
    Thanks to Ryuunosuke AYANOKOUZI for the patch.
  * Add small tip explaining the possibily to put a user in the libvirt group.
    Thanks to Paul Chavent for the suggestion. Closes: #734397
  * Document suricata instead of snort.
  * Add a section on “dpkg --verify”.
  * Add a section on AppArmor.
  * Add a new section on RTC services. Thanks to Daniel Pocock.
    Closes: #800884, #802682

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 02 Nov 2015 13:54:23 +0100

debian-handbook (7.20150828) unstable; urgency=medium

  * Fixed small typo in preface of german version. Closes: #792605
    Thanks to Georg Faerber for the patch.
  * Update all PO files so that they work with publican 4.3.2
    from unstable. Closes: #791812

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 28 Aug 2015 12:22:26 +0200

## debian-handbook 8.20151209

=== debian/control ===
Source: debian-handbook
Section: doc
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9), rdfind, publican, publican-debian,
# EPUB output
 dbtoepub,
# PDF output
 dblatex, texlive-xetex, fonts-linuxlibertine, texlive-pstricks,
 fonts-sil-gentium-basic,
# French translation
 texlive-lang-french,
# Japanese translation
 texlive-lang-japanese, ghostscript, lmodern
Standards-Version: 3.9.6
Homepage: http://debian-handbook.info
Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-handbook/debian-handbook.git

Package: debian-handbook
Architecture: all
Depends: ${misc:Depends}
Description: reference book for Debian users and system administrators
 Accessible to all, the Debian Administrator's Handbook teaches the essentials
 to anyone who wants to become an effective and independent Debian GNU/Linux
 administrator.
 .
 It covers all the topics that a competent Linux administrator should master,
 from the installation and the update of the system, up to the creation of
 packages and the compilation of the kernel, but also monitoring, backup and
 migration, without forgetting advanced topics like SELinux/AppArmor setup to
 secure services, automated installations, or virtualization with Xen, KVM or
 LXC.
 .
 The Debian Administrator's Handbook has been written by two Debian
 developers — Raphaël Hertzog and Roland Mas.
 .
 This package contains the English book covering Debian 8 “Jessie”. All
 the files are available in /usr/share/doc/debian-handbook/.

=== debian/rules ===
#!/usr/bin/make -f

DOCDIR=debian/debian-handbook/usr/share/doc/debian-handbook/html
VERSION=$(shell sed -n -e 's|.*<productnumber>\(.*\)</productnumber>.*|\1|p' en-US/Book_Info.xml)
LANGS=$(shell echo [a-z][a-z]-[A-Z][A-Z])

%:
	dh $@ 

override_dh_auto_build:
	for lang in $(LANGS); do \
		./build/build-html --lang=$$lang; \
	done

override_dh_auto_install:
	mkdir -p $(DOCDIR)
	for lang in $(LANGS); do \
		mv publish/$$lang/Debian/$(VERSION)/html/debian-handbook $(DOCDIR)/$$lang; \
	done
	# Drop some useless files
	rm -f $(DOCDIR)/*/images/chap-*.png # Chapter pictures only used in PDF
	rm -f $(DOCDIR)/*/images/cover.png  # Cover picture (only used in PDF/ePub)
	rm -f $(DOCDIR)/*/images/*.dia      # Sources of diagrams
	# Deduplicate the remaining files
	rdfind -makehardlinks true -makeresultsfile false $(DOCDIR)/en-US $(DOCDIR)

override_dh_auto_clean:
	publican clean

.PHONY: build

## debian-handbook 8.20160922

=== debian/changelog ===
debian-handbook (8.20160922) unstable; urgency=medium

  * Update translations.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 22 Sep 2016 16:09:44 +0200

debian-handbook (8.20160826) unstable; urgency=medium

  * Second try with fixes for pt-BR and ja-JA.
  * debian/rules: fails build when the HTML build of a translation is failing.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 26 Aug 2016 08:48:07 +0200

debian-handbook (8.20160825) unstable; urgency=medium

  * Update translations.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 25 Aug 2016 11:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,13 @@
 # French translation
  texlive-lang-french,
 # Japanese translation
- texlive-lang-japanese, ghostscript, lmodern
+ texlive-lang-japanese, ghostscript, lmodern, fonts-mplus,
+# Spanish translation
+ texlive-lang-spanish,
+# Portuguese brazilian translation
+ texlive-lang-portuguese,
+# Italian translation
+ texlive-lang-italian,
 Standards-Version: 3.9.6
 Homepage: http://debian-handbook.info
 Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git

## debian-handbook 8.20170125

=== debian/changelog ===
debian-handbook (8.20170125) unstable; urgency=medium

  * Update translations.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Jan 2017 10:03:19 +0100

debian-handbook (8.20161121) unstable; urgency=medium

  * Update translations.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 21 Nov 2016 14:45:11 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
  texlive-lang-portuguese,
 # Italian translation
  texlive-lang-italian,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://debian-handbook.info
-Vcs-Git: git://anonscm.debian.org/debian-handbook/debian-handbook.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-handbook/debian-handbook.git
+Vcs-Git: https://anonscm.debian.org/git/debian-handbook/debian-handbook.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-handbook/debian-handbook.git
 
 Package: debian-handbook
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ 
 
 override_dh_auto_build:
-	for lang in $(LANGS); do \
+	set -e; for lang in $(LANGS); do \
 		./build/build-html --lang=$$lang; \
 	done

## debian-handbook 8.20170323

=== debian/changelog ===
debian-handbook (8.20170323) unstable; urgency=medium

  * Update translations.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 23 Mar 2017 17:42:06 +0100

## debian-handbook 8.20180215

=== debian/changelog ===
debian-handbook (8.20180215) unstable; urgency=medium

  * Update translations.
  * Move git repository to salsa.debian.org and update Vcs-* fields.
  * Rename the "build" directory into "bin". Closes: #888578
  * Build different languages in parallel to optimize build time.
    Closes: #888575
  * Switch to debhelper compat level 11 (thus enabling parallel build by
    default).
  * Bump Standards-Version to 4.1.3.
  * Mark the package as "Multi-Arch: foreign" to please the multiarch hinter
    even though it's unlikely this package will be in any dependency.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 Feb 2018 20:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), rdfind, publican, publican-debian,
+Build-Depends: debhelper (>= 11), rdfind, publican, publican-debian,
 # EPUB output
  dbtoepub,
 # PDF output
@@ -18,14 +18,17 @@
  texlive-lang-portuguese,
 # Italian translation
  texlive-lang-italian,
-Standards-Version: 3.9.8
-Homepage: http://debian-handbook.info
-Vcs-Git: https://anonscm.debian.org/git/debian-handbook/debian-handbook.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-handbook/debian-handbook.git
+# Norwegian translation
+ texlive-lang-european,
+Standards-Version: 4.1.3
+Homepage: https://debian-handbook.info
+Vcs-Git: https://salsa.debian.org/hertzog/debian-handbook.git
+Vcs-Browser: https://salsa.debian.org/hertzog/debian-handbook
 
 Package: debian-handbook
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: reference book for Debian users and system administrators
  Accessible to all, the Debian Administrator's Handbook teaches the essentials
  to anyone who wants to become an effective and independent Debian GNU/Linux

## debian-handbook 8.20180830

=== debian/changelog ===
debian-handbook (8.20180830) unstable; urgency=medium

  * Update translations.
  * Bump Standards-Version to 4.2.1.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 30 Aug 2018 12:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  texlive-lang-italian,
 # Norwegian translation
  texlive-lang-european,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://debian-handbook.info
 Vcs-Git: https://salsa.debian.org/hertzog/debian-handbook.git
 Vcs-Browser: https://salsa.debian.org/hertzog/debian-handbook

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 %:
 	dh $@ 
 
-override_dh_auto_build:
-	set -e; for lang in $(LANGS); do \
-		./build/build-html --lang=$$lang; \
-	done
+# Build multiple languages in parallel
+override_dh_auto_build: $(foreach lang,$(LANGS),build-html-$(lang))
+build-html-%:
+	./bin/build-html --lang=$*
 
 override_dh_auto_install:
 	mkdir -p $(DOCDIR)
@@ -26,5 +26,3 @@
 
 override_dh_auto_clean:
 	publican clean
-
-.PHONY: build

## debian-handbook 10.20200619

=== en-US/images/Makefile ===

dia = $(wildcard *.dia)

all: png

png: $(patsubst %.dia,%.png,$(dia))

eps: $(patsubst %.jpg,%.eps,$(wildcard *.jpg)) $(patsubst %.png,%.eps,$(wildcard *.png)) $(patsubst %.dia,%.eps,$(dia))

define DIA_template
$(1).png: $(1).dia
	dia -t png -s 1024 $$<
endef

$(foreach d,$(patsubst %.dia,%,$(dia)),$(eval $(call DIA_template,$(d))))

.PHONY: png all

=== debian/changelog ===
debian-handbook (10.20200619) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update the book to be based on Debian 10 with the help
    of Jorge Maldonado Ventura and Daniel Leidert.
  * Some updates to chapter 13 by David Richfield. Closes: #813153
  * Misc improvements to Japanese translation. Closes: #820584
    Thanks to Osamu Aoki and Ryuunosuke AYANOKOUZI.
  * Mention Red Hat in the list of commercial Linux distributions.
    Closes: #820586 Thanks to Osamu Aoki.
    Drop Mandriva at the same time (the company no longer exists).
  * Fix small typo. Closes: #811227 Thanks to Tiago Ilieve
    <tiago.myhro@gmail.com> for the patch.
  * Replace /etc/grub.d/50_custom with /etc/grub.d/40_custom
    Closes: #826967 Thanks to helix84 for the report.
  * Replace sources.debian.net by sources.debian.org. Closes: #883306
  * Add some basic documentation on setting up a wireless
    connection with ifupdown. Closes: #863496
  * Document "gpasswd" instead of "passwd -g". Closes: #859665
  * Better explain the difference between apt and apt-get. Closes: #818560
  * Document deb.debian.org, httpredir.debian.org. Closes: #845769
  * Refer to KDE as the community and to Plasma as the desktop.
    Thanks to Luigi Toscano for the patch. Closes: #860477
  * Add a "Contributing" section to the foreword. Closes: #865230
  * Rename testing/updates into testing-security. Closes: #931521

  [ Jorge Maldonado Ventura ]
  * Update multiple chapters for Debian 10.
  * Update Spanish images and diagrams.

  [ Daniel Leidert ]
  * Update multiple chapters for Debian 10.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 19 Jun 2020 11:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,22 @@
  dbtoepub,
 # PDF output
  dblatex, texlive-xetex, fonts-linuxlibertine, texlive-pstricks,
- fonts-sil-gentium-basic,
+ fonts-sil-gentium-basic, fonts-dejavu,
+ texlive-lang-cyrillic,
+# PDF validation
+ poppler-utils, mupdf-tools,
 # French translation
  texlive-lang-french,
 # Japanese translation
- texlive-lang-japanese, ghostscript, lmodern, fonts-mplus,
+ texlive-lang-japanese,
+ ghostscript,
+ lmodern,
+ fonts-mplus,
+# Chinese translation
+ texlive-lang-chinese,
+ fonts-arphic-uming,
+ fonts-wqy-zenhei,
+ fonts-wqy-microhei,
 # Spanish translation
  texlive-lang-spanish,
 # Portuguese brazilian translation

## debian-handbook 11.20220922

=== nb-NO/images/Makefile ===

dia = $(wildcard *.dia)

all: png pdf

png: $(patsubst %.dia,%.png,$(dia))
pdf: $(patsubst %.dia,%.pdf,$(dia))

eps: $(patsubst %.jpg,%.eps,$(wildcard *.jpg)) $(patsubst %.png,%.eps,$(wildcard *.png)) $(patsubst %.dia,%.eps,$(dia))

define DIA_template
$(1).png: $(1).dia
	dia -t png -s 1024 $$<
endef

%.pdf: %.dia
	dia --filter svg --export floffa.svg $<
	inkscape --file=floffa.svg --without-gui --export-area-drawing --export-pdf=$@

$(foreach d,$(patsubst %.dia,%,$(dia)),$(eval $(call DIA_template,$(d))))

.PHONY: png all
.SUFFIXES: .dia .pdf

=== debian/changelog ===
debian-handbook (11.20220922) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Raphaël Hertzog ]
  * Update the book to be based on Debian 11 with the help of Daniel Leidert.
  * Bump Standards-Version to 4.6.1.

  [ Daniel Leidert ]
  * Update multiple chapters for Debian 11.
  * Add section about ACL. Closes: #817906

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 22 Sep 2022 14:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  texlive-lang-italian,
 # Norwegian translation
  texlive-lang-european,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: https://debian-handbook.info
 Vcs-Git: https://salsa.debian.org/hertzog/debian-handbook.git
 Vcs-Browser: https://salsa.debian.org/hertzog/debian-handbook

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LANGS=$(shell echo [a-z][a-z]-[A-Z][A-Z])
 
 %:
-	dh $@ 
+	dh $@
 
 # Build multiple languages in parallel
 override_dh_auto_build: $(foreach lang,$(LANGS),build-html-$(lang))
@@ -19,7 +19,7 @@
 	done
 	# Drop some useless files
 	rm -f $(DOCDIR)/*/images/chap-*.png # Chapter pictures only used in PDF
-	rm -f $(DOCDIR)/*/images/cover.png  # Cover picture (only used in PDF/ePub)
+	rm -f $(DOCDIR)/*/images/cover.jpg  # Cover picture (only used in PDF/ePub)
 	rm -f $(DOCDIR)/*/images/*.dia      # Sources of diagrams
 	# Deduplicate the remaining files
 	rdfind -makehardlinks true -makeresultsfile false $(DOCDIR)/en-US $(DOCDIR)

## debian-handbook 11.20220922build1

=== debian/changelog ===
debian-handbook (11.20220922build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 21:35:23 +0000
